<?php
/**
 * JT Save Redirect 2.5.3
 * @package jt_save_redirect
 * @copyright (C) 2012 http://www.joomtut.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.joomtut.com
 **/
defined('JPATH_BASE') or die;
class plgContentJt_save_redirect extends JPlugin
{
public function onContentAfterSave($context, $article, $isNew)
	{
		$app = JFactory::getApplication();
		if($app->isSite()) {
			$lang =& JFactory::getLanguage();
			$lang->load('plg_content_jt_save_redirect',JPATH_ADMINISTRATOR);
			$plugin =& JPluginHelper::getPlugin('content', 'jt_save_redirect');
			$params = new JRegistry($plugin->params);
			$submit_view_redirect = $this->params->def('submit_view_redirect');
			$submit_save_redirect = $this->params->def('submit_save_redirect');
			$submit_custom_url = $this->params->def('submit_custom_redirect');
			$edit_view_redirect = $this->params->def('edit_view_redirect');
			$edit_save_redirect = $this->params->def('edit_save_redirect');
			$edit_custom_url = $this->params->def('edit_custom_redirect');
			$item_id = JRequest::getString('Itemid');
			if ($isNew) {
				if($submit_view_redirect > 0) {
					$url = JRoute::_('index.php?option=com_content&view=article&id='.$article->id.'&catid='.$article->catid.'&Itemid='.$item_id, null, null, false);
				}
				else if ($submit_save_redirect == 0) {
					$url = $submit_custom_url;
				}
				else {
					$url = JRoute::_('index.php?Itemid='.$submit_save_redirect, null, null, false);
				}
				$app->redirect($url, JText::_('PLG_CONTENT_JT_SAVE_REDIRECT_ITEM_SUCCESSFULLY_SUBMITTED'));
			    return true;
			}
			else {
				
				if($edit_view_redirect > 0) {
					$url = JRoute::_('index.php?option=com_content&view=article&id='.$article->id.'&catid='.$article->catid.'&Itemid='.$item_id, null, null, false);
				}
				else if ($edit_save_redirect == 0) {
					$url = $edit_custom_url;
				}
				else {
					$url = JRoute::_('index.php?Itemid='.$edit_save_redirect, null, null, false);
				}
				$app->redirect($url, JText::_('PLG_CONTENT_JT_SAVE_REDIRECT_ITEM_SUCCESSFULLY_SAVED'));
			    return true;
			}
		}
	}
}